---
- name: Get Java Version
  ansible.builtin.shell: |
    set -o pipefail
    java -version 2>&1 | grep version | awk '{print $3}' | sed 's/"//g'
  register: java_version
  changed_when: false

- name: Check Java Version
  ansible.builtin.assert:
    that:
      - java_version.stdout is version('17', '>=')
      - java_version.stdout is version('18', '<')
    fail_msg:
      - "Your java version is {{ java_version.stdout }}"
      - "Should be 17"
